#! /bin/tcsh -fe
#
#   Wedger Elves example background autoindexing script
#
setenv LD_LIBRARY_PATH .

./ipmosflm HKLOUT  auto.mtz   \
         SPOTOD  auto.spotod \
         SUMMARY autoindex.xlog    \
         COORDS  auto.coords << eof-ipmosflm
#

# Detector parameters (range, quantum gain, etc.)
DETECTOR PILATUS
GAIN 1

# Beam parameters (i.e. (delta-lambda)/lambda, H,V divervence in degrees)
WAVELENGTH    1
DISPERSION    0.00014
DIVERGENCE    0 0
POLARISATION  SYNCHROTRON 0.9

# Alignment parameters
DISTANCE      100
BEAM          50.05 50.05
TWOTHETA      0
#
NEWMATRIX  auto.mat

SYMMETRY      P1
RESOLUTION 1.6
MOSAIC     1

# frame filename breakdown
DIRECTORY    .
IDENTIFIER   noiseimage
EXTENSION    cbf

#
FINDSPOTS MINX 0.1 MINY 0.1 MAXX 5 MAXY 5 SPLIT 0.2 0.2
#

AUTOINDEX DPS THRESH 0.1 IMAGE 1 PHI 0 0.01
#
go
#
eof-ipmosflm

